### Function

# EvinceDocument Document factory_get_document_for_gfile

since: 3.6

#### Declaration [src]

    EvDocument*
    ev_document_factory_get_document_for_gfile (
      GFile* file,
      EvDocumentLoadFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously creates a `EvDocument` for the document at `file`; or, if no backend handling the document’s type is found, or an error occurred on opening the document, returns `NULL` and fills in `error`. If the document is encrypted, it is returned but also `error` is set to `EV_DOCUMENT_ERROR_ENCRYPTED`.

Available since: 3.6

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`flags`

  Type: `EvDocumentLoadFlags`

  Flags from `EvDocumentLoadFlags`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EvDocument`

A new `EvDocument`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.